%{?nodejs_find_provides_and_requires}

%global packagename posix-character-classes

# Tests disabled because the tests suite appears to be missing
# See https://github.com/jonschlinkert/posix-character-classes/issues/1
%global enable_tests 0

Name:		nodejs-posix-character-classes
Version:	0.1.0
Release:	1%{?dist}
Summary:	POSIX character classes for creating regular expressions

License:	MIT
URL:		https://github.com/jonschlinkert/posix-character-classes
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
POSIX character classes for creating regular expressions.


%prep
%autosetup -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
